Bug 876868 - virsh save guest with an no-exist xml should show error msg
Summary: virsh save guest with an no-exist xml should show error msg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ján Tomko
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 881827
TreeView+ depends on / blocked
 
Reported: 2012-11-15 07:49 UTC by zhpeng
Modified: 2013-09-09 00:04 UTC (History)
9 users (show)

Fixed In Version: libvirt-0.10.2-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 07:26:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0276 0 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2013-02-20 21:18:26 UTC

Description zhpeng 2012-11-15 07:49:07 UTC
Description of problem:
virsh save guest with an no-exist xml should show error msg

Version-Release number of selected component (if applicable):
libvirt-0.10.2-8.el6.x86_64

How reproducible:
100%

Reproduce steps:

1. save guest when guest is running
[root@zhpeng ~]# virsh list
 Id    Name                           State
----------------------------------------------------
 1     aaa                            running

[root@zhpeng ~]# virsh save aaa /tmp/aaa.save --xml nofile.xml

[root@zhpeng ~]# echo $?
1

2.save guest when guest is shutdown
[root@zhpeng ~]# virsh list
 Id    Name                           State
----------------------------------------------------

[root@zhpeng ~]# virsh save aaa /tmp/aaa.save --xml nofile.xml

[root@zhpeng ~]# echo $?
1


Actual results:
no correct error msg.

Expected results:
step1: should show error like: xml file XXXXX not exist
step2: should show error like: guest xxx is not running\n xml file XXXXX not exist.(or only shows guest xxx is not running)

Additional info:
Not any error msg in /var/log/messages, /var/log/libvirt/libvirtd.log and /var/log/libvirt/qemu/guest.log

Comment 2 Ján Tomko 2012-11-15 13:34:26 UTC
Upstream patch proposed:
https://www.redhat.com/archives/libvir-list/2012-November/msg00700.html

This reports
error: Failed to open file 'nofile.xml': No such file or directory
in both cases. I don't think we should care about the domain state if the command parameters are incorrect.

Comment 3 Ján Tomko 2012-11-16 09:16:02 UTC
Fixed upstream by:
commit 58110b48870b4e8efd1d833e3ecbef41b62d1877
Author:     Ján Tomko <jtomko@redhat.com>
AuthorDate: 2012-11-15 14:25:09 +0100
Commit:     Eric Blake <eblake@redhat.com>
CommitDate: 2012-11-15 22:21:35 -0700

    virsh: save: report an error if XML file can't be read

Moving to POST:
http://post-office.corp.redhat.com/archives/rhvirt-patches/2012-November/msg00161.html

Comment 5 EricLee 2012-11-21 05:24:47 UTC
Verifing the bug with libvirt-0.10.2-9.el6.x86_64:

# virsh start pxe
Domain pxe started

# virsh save pxe /tmp/pxe.save --xml nofile
error: Failed to open file 'nofile': No such file or directory

# echo $?
1

# virsh destroy pxe
Domain pxe destroyed

# virsh save pxe /tmp/pxe.save --xml nofile
error: Failed to open file 'nofile': No such file or directory

[root@libn755 xml]# echo $?
1

So seting VERIFIED.

Comment 6 errata-xmlrpc 2013-02-21 07:26:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html


Note You need to log in before you can comment on or make changes to this bug.